Loading...
Searching...
No Matches
pcl::MomentInvariants Struct Reference
Module common

A point structure representing the three moment invariants. More...

`#include <pcl/impl/point_types.hpp>`

## Public Member Functions

constexpr | MomentInvariants ()=default
constexpr | MomentInvariants (float _j1, float _j2, float _j3)

## Public Attributes

float | j1 = 0.f
float | j2 = 0.f
float | j3 = 0.f

## Friends

std::ostream & | operator<< (std::ostream &os, const MomentInvariants &p)

## Detailed Description

A point structure representing the three moment invariants.

Definition at line 1108 of file point_types.hpp.

## Constructor & Destructor Documentation

## MomentInvariants() [1/2]

pcl::MomentInvariants::MomentInvariants | ( |  | ) |

inline constexpr default

Referenced by operator<<.

## MomentInvariants() [2/2]

pcl::MomentInvariants::MomentInvariants | ( | float | _j1,
|  | float | _j2,
|  | float | _j3 )

inline constexpr

Definition at line 1114 of file point_types.hpp.

References j1, j2, and j3.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | os,
|  | const MomentInvariants & | p )

friend

References MomentInvariants().

## Member Data Documentation

## j1

float pcl::MomentInvariants::j1 = 0.f

Definition at line 1110 of file point_types.hpp.

Referenced by MomentInvariants().

## j2

float pcl::MomentInvariants::j2 = 0.f

Definition at line 1110 of file point_types.hpp.

Referenced by MomentInvariants().

## j3

float pcl::MomentInvariants::j3 = 0.f

Definition at line 1110 of file point_types.hpp.

Referenced by MomentInvariants().

The documentation for this struct was generated from the following file:

- pcl/impl/point_types.hpp